Skip to main content
`Ctrl`+`K`

# PetscSegBufferGetSize

get currently used number of entries of a `PetscSegBuffer`

## Synopsis

    PetscErrorCode PetscSegBufferGetSize(PetscSegBuffer seg, PetscCount *usedsize)

Not Collective, No Fortran Support

## Input Parameter

- seg - `PetscSegBuffer` object

## Output Parameter

- usedsize - number of used units

## See Also

`PetscSegBuffer`, `PetscSegBufferExtractAlloc()`, `PetscSegBufferExtractTo()`, `PetscSegBufferCreate()`, `PetscSegBufferGet()`

## Level

developer

## Location

src/sys/utils/segbuffer.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages